Subject: hydrangea advice needed

From: [email-masked] (LEX LOCI 1)
Date: 20 Mar 1995 20:30:14 -0500

can someone give me the name of a good variety of hydrangea for a very
shady spot in zone 6? If so, can i also get the name of a good mail order
supplier for this plant/bush that is not as expensive as wayside but is
just as reliable.  john